Server upgrades from 8.2.1400 to 9.0.586 or 9.0.649 fail with database error

Technote (FAQ)


Question

Server upgrades from 8.2.1400 to either 9.0.586 or 9.0.649 will fail with one of the following database errors:
1) Manual Server upgrade fails (the DB gets into an inconsistent state): The index "IX_AID_CID" on table "ACTIONRESULTS" cannot be reorganized

or

2) The database appears to be in an inconsistent state...
The index "IX_AID_CID" on table "ACTIONRESULTS" cannot be reorganized because
page level locking is disabled (37000:1943)

Answer

After encountering either of the above errors, run the Administration Tool on the root server and restart all Endpoint Manager services. This should complete the upgrade and allow the server to run.
Alternatively, before attempting the upgrade from 8.2.1400 to either 9.0.586 or 9.0.649 run the following SQL Query on the BFEnterprise database to remove the index (which is not required by 9.0 versions).

> drop index IX_AID_CID on ACTIONRESULTS

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Tivoli Endpoint Manager

Software version:

Version Independent

Operating system(s):

Platform Independent

Reference #:

1642385

Modified date:

2014-06-09

Translate my page

Machine Translation

Content navigation